data_associations_partial_update
const url = 'https://example.com/api/data/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/associations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'PATCH', headers: { 'X-Workspace': '2489E9AD-2EE2-8E00-8EC9-32D5F69181C0', Authorization: 'Bearer <token>', 'Content-Type': 'application/json' }, body: '{"data_objects":["2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://example.com/api/data/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/associations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --header 'X-Workspace: 2489E9AD-2EE2-8E00-8EC9-32D5F69181C0' \ --data '{ "data_objects": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ] }'Add data objects to an existing association.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Data ID
A UUID string identifying this data association.
Header Parameters
Section titled “Header Parameters”Workspace ID
Request Body
Section titled “Request Body”Serializer for Data associations.
object
Return serialized data for the current data.
Parameters
obj : DataAssociation The object containing information about the current data.
Returns
list A list of serialized data objects.
Return the interactor information of the object’s creator.
Parameters
obj : DataAssociation The object containing the creator information.
Returns
dict The interactor information of the creator.
object
Return information about the last interactor who edited the object.
Parameters
obj : DataAssociation The object containing the last editor information.
Returns
dict The interactor information of the last editor.
object
Example generated
{ "data_objects": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ]}Serializer for Data associations.
object
Return serialized data for the current data.
Parameters
obj : DataAssociation The object containing information about the current data.
Returns
list A list of serialized data objects.
Return the interactor information of the object’s creator.
Parameters
obj : DataAssociation The object containing the creator information.
Returns
dict The interactor information of the creator.
object
Return information about the last interactor who edited the object.
Parameters
obj : DataAssociation The object containing the last editor information.
Returns
dict The interactor information of the last editor.
object
Example generated
data_objects=2489E9AD-2EE2-8E00-8EC9-32D5F69181C0Serializer for Data associations.
object
Return serialized data for the current data.
Parameters
obj : DataAssociation The object containing information about the current data.
Returns
list A list of serialized data objects.
Return the interactor information of the object’s creator.
Parameters
obj : DataAssociation The object containing the creator information.
Returns
dict The interactor information of the creator.
object
Return information about the last interactor who edited the object.
Parameters
obj : DataAssociation The object containing the last editor information.
Returns
dict The interactor information of the last editor.
object
Responses
Section titled “Responses”No response body
object
object
Example
{ "code": "forbidden", "message": "You do not have permission to perform this operation. Check the `details` property for more details.", "details": [ { "parameter": "associated_datalink", "code": "not_allowed", "message": "You do not have access to this datalink." } ]}object
object
Example
{ "code": "object_not_found", "message": "Object not found. Check the `details` property for more details.", "details": [ { "parameter": "<id>", "code": "does_not_exist", "message": "\"<id>\" does not exist." } ]}
